com.saxonica.schema

## Class SingleNamespaceSchema

- java.lang.Object
- - com.saxonica.schema.SchemaStructure
  - - com.saxonica.schema.PreparedSchema
    - - com.saxonica.schema.SingleNamespaceSchema

- All Implemented Interfaces:
    Serializable, SourceLocator, NotationSet

      public class SingleNamespaceSchema
      extends PreparedSchema

  A schema (collection of schema components) that has an identifiable target namespace: typically the set of components derived from a single import or include. It is not actually necessary that all the components should belong to this target namespace. In the specification, this is "the schema corresponding to some schema document".
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.schema.PreparedSchema

      `NAMESPACE_KNOWN, NAMESPACE_SEALED, NAMESPACE_UNDER_CONSTRUCTION, NAMESPACE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleNamespaceSchema(EnterpriseConfiguration config, String targetNamespace)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getTargetNamespace()` Returns the target namespace for this Schema, or "" if the schema is a no-namespace schema.
    `void` | `setTargetNamespace(String targetNamespace)` Sets the target namespace for this Schema

    - ### Methods inherited from class com.saxonica.schema.PreparedSchema

      `addAnonymousType, addAttributeDecl, addAttributeGroup, addComponent, addElementDecl, addGlobalParam, addGroup, addIdentityConstraint, addNotation, addType, copyTo, getAttributeDecl, getAttributeGroup, getConfiguration, getElementDecl, getExtensionsOfBuiltInType, getGlobalParam, getGlobalParams, getGroup, getIdentityConstraint, getNamePool, getNotation, getSchemaType, getSimpleType, getTargetNamespaces, getType, isDeclaredNotation, iterateAttributeDeclarations, iterateAttributeGroups, iterateElementDeclarations, iterateIdentityConstraints, iterateModelGroups, iterateNotations, iterateTypes, merge, registerExtensionOfBuiltInType, setConfiguration, validate, validateReference`

    - ### Methods inherited from class com.saxonica.schema.SchemaStructure

      `elaborate, fixup, getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, lookForCycles, makeXPathExpressionPropertyRecord, setFixupStatus, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleNamespaceSchema

          public SingleNamespaceSchema(EnterpriseConfiguration config,
                               String targetNamespace)

  - ### Method Detail

    - #### setTargetNamespace

          public void setTargetNamespace(String targetNamespace)

      Sets the target namespace for this Schema
      Parameters:
        `targetNamespace` - the target namespace for this Schema
      See Also:
        § 2.7 XML Schema Part 1: Structures

    - #### getTargetNamespace

          public String getTargetNamespace()

      Returns the target namespace for this Schema, or "" if the schema is a no-namespace schema.
      Returns:
        the target namespace for this Schema, or "" if the schema is a no-namespace schema.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.